SDL_TextureAccess(3type)

NAME
SDL_TextureAccess - The access pattern allowed for a texture.

SYNOPSIS
#include <SDL3/SDL_render.h>

typedef enum SDL_TextureAccess
{
    SDL_TEXTUREACCESS_STATIC,    /**< Changes rarely, not lockable */
    SDL_TEXTUREACCESS_STREAMING, /**< Changes frequently, lockable */
    SDL_TEXTUREACCESS_TARGET     /**< Texture can be used as a render target */
} SDL_TextureAccess;

AVAILABILITY
This enum is available since SDL 3.2.0.